com.cloudera.flume.handlers.thrift

## Interface ThriftFlumeEventServer.AsyncIface

- All Known Implementing Classes:
    ThriftFlumeEventServer.AsyncClient
  Enclosing class:
    ThriftFlumeEventServer

      public static interface ThriftFlumeEventServer.AsyncIface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent evt, org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.append_call> resultHandler)`
    `void` | `close(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler)`

- - ### Method Detail

    - #### append

          void append(ThriftFlumeEvent evt,
                    org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.append_call> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### close

          void close(org.apache.thrift.async.AsyncMethodCallback<ThriftFlumeEventServer.AsyncClient.close_call> resultHandler)
                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.